\section{Installation}
\subsection{Versions}
Used versions (newest in March 2019):
\begin{itemize}
	\item Ubuntu 18.04.3 LTS 64bit
	\item Git: 2.17.1 - 64bit
	\item PostgreSQL: 10.10
	\item Docker 19.03.4 - build 9013bf583a
	\item Docker-compose 1.24.1, build 4667896b
	\item Ruby 2.5.1p57
	\item Dexter 0.6.5
\end{itemize}

\section{Installing Docker}
To install docker, follow the instructions on \url{https://docs.docker.com/install/linux/docker-ce/debian/} or \url{https://docs.docker.com/install/linux/docker-ce/ubuntu/}.

\section{Installing Docker-Compose}
To install docker-compose, follow the instructions on \url{https://docs.docker.com/compose/install/}.

\section{Installing Dexter}
Dexter can be installed with RubyGems \cite{rubyGems}, a package manager for ruby. So first install ruby:
\begin{verbatim}
$ sudo apt install ruby
$ ruby --version
ruby 2.5.1p57 (2018-03-29 revision 63029) [x86_64-linux-gnu]
$ sudo apt-get install ruby-dev
$ sudo apt-get install libpq-dev
$ sudo apt-get install postgresql postgresql-contrib
$ sudo apt-get install postgresql-server-dev-all
$ sudo apt-get install postgresql-common
$ sudo apt-get install gcc
$ sudo apt-get install make
\end{verbatim}

Then follow the instructions on \url{https://github.com/ankane/dexter}.


\section{Get ip of a docker container}
from \url{https://stackoverflow.com/a/46310428}
\begin{verbatim}
$ docker ps
$ docker inspect <container ID>
\end{verbatim}



\section{Problems}
\subsection{Shared Memory Segment error}
https://meta.discourse.org/t/pg-throws-could-not-resize-shared-memory-segment-error/84744




Determine the size of the database called postgres:
\begin{verbatim}
$ SELECT pg_size_pretty( pg_database_size('postgres') );
\end{verbatim}




